Skip to main content
POST
https://sendazi.com/api/v1
/
groups
{
  "name": "VIP Customers",
  "description": "High-value customers for premium campaigns"
}
{
  "success": true,
  "data": {
    "id": 3,
    "uuid": "66dbf9ca-112a-4c66-b5ad-0069f277c1b9",
    "name": "VIP Customers",
    "description": "High-value customers for premium campaigns",
    "contacts_count": 0,
    "created_at": "2026-01-15T12:00:00.000000Z",
    "updated_at": "2026-01-15T12:00:00.000000Z"
  }
}
{
  "success": false,
  "message": "The given data was invalid.",
  "errors": {
    "name": ["The name field is required."]
  }
}
name
string
required
Name of the group
description
string
Description of the group
{
  "name": "VIP Customers",
  "description": "High-value customers for premium campaigns"
}
{
  "success": true,
  "data": {
    "id": 3,
    "uuid": "66dbf9ca-112a-4c66-b5ad-0069f277c1b9",
    "name": "VIP Customers",
    "description": "High-value customers for premium campaigns",
    "contacts_count": 0,
    "created_at": "2026-01-15T12:00:00.000000Z",
    "updated_at": "2026-01-15T12:00:00.000000Z"
  }
}
{
  "success": false,
  "message": "The given data was invalid.",
  "errors": {
    "name": ["The name field is required."]
  }
}